Issue 39528

Summary: Migrate Matrix classes
Product: Draw Reporter: Armin Le Grand <Armin.Le.Grand>
Component: codeAssignee: Armin Le Grand <Armin.Le.Grand>
Status: CLOSED FIXED QA Contact: issues@graphics <issues>
Severity: Trivial    
Priority: P3 CC: issues
Version: 680m66   
Target Milestone: OOo 2.2   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description Armin Le Grand 2004-12-23 16:27:11 UTC
Migrate from old_Matrix3D (svx), Matrix3D (goodies) and Matrix4D (goodies) to
::basegfx::BXDHomMatrix classes.
Comment 1 Armin Le Grand 2004-12-27 11:54:21 UTC
Starting to do some changes. First, get rid of old_Matrix3D.
Comment 2 Armin Le Grand 2004-12-27 15:37:51 UTC
AW: Working on migrating TRSet/GetBaseGeometry implementations to use basegfx
classes...
Comment 3 Armin Le Grand 2004-12-28 11:05:39 UTC
AW: Last usages in svx removed (migrated), still used in goodies (obvious),
chart2 and xmloff. Checking in and going on with xmloff...
Comment 4 Armin Le Grand 2004-12-28 15:23:57 UTC
AW: XMLOFF cleanup took some time, but it's done. All stuff Matrix migrated.
Needs no longer to link against goodies at all, but against basegfx, of course.
Checking in.
Comment 5 Armin Le Grand 2004-12-28 16:25:32 UTC
AW: had to change basegfx stuff concerning getEmptyTuple for B3DTuple, was not
implemented correctly and not exported. Corrected, checking in.
Comment 6 Armin Le Grand 2005-01-12 17:17:10 UTC
AW: xmloff still used Matrix3D definitions, removed them now. Testing and
checking in.
Comment 7 Armin Le Grand 2005-01-12 20:02:13 UTC
AW: removing Matrix3D from chart2...
Comment 8 Armin Le Grand 2005-01-12 20:03:41 UTC
AW: Done for chart2, checking in.
Comment 9 Armin Le Grand 2005-01-12 20:07:32 UTC
AW: OK,no more Matrix3D, just in goodies. Looking for Matrix4D...
Comment 10 Armin Le Grand 2005-03-11 16:05:24 UTC
AW: Going on. Removing last usages from goodies (except the implementation and
definition). If that works, i can move it to binfilter. Trying...
Comment 11 Armin Le Grand 2005-03-22 09:41:09 UTC
AW: Problem is that most 3D classes from goodies are also used in binfilter.
Since binfilter shall not be changed in any circumstance, i started to add a
bf_goodies to binfilter which will include the needed classes. Since not all
goodies stuff can be migrated to binfilter (e.g. GraphicObject) , i will link
bf_goodies to goodies and add wrappers.
AW: Very difficult and time intensive stuff...
Comment 12 Armin Le Grand 2005-03-23 14:05:04 UTC
AW: Slowly reducing unresolved externals in binfilter libs. Progessing...
Comment 13 Armin Le Grand 2005-03-24 14:41:10 UTC
AW For adaption of libs.mk i have to resync m66 -> m88. This will take a while...
Comment 14 Armin Le Grand 2005-04-01 09:00:59 UTC
AW: Okay, resync is done and build is through on all 3 plattforms. Matrix3D and
other goodies-3D-classes are now isolated in binfilter, works well. Continuing
with Matrix3D occurrences...
Comment 15 Armin Le Grand 2005-04-01 09:30:11 UTC
AW: Looking into Matrix4D. Need to remove from goodies first.
Comment 16 Armin Le Grand 2005-04-08 17:35:07 UTC
AW: Started to build from scratch with Matrix4D, Vector3D and similar stuff
removed from goodies. Just made engine3d in svx compile, pfuh :-)
Comment 17 Armin Le Grand 2005-04-29 12:53:33 UTC
AW: Done.
Comment 18 IngridvdM 2006-07-11 10:40:55 UTC
As disccused with AW: added fix for decompose method of B3DHomMatrix.
Some rotation matrices were not decomposed correctly. Example:
rotate: x=20degree y=-90degree z=0degree  ==> decompose ==> x=-20 y=90 z=0
which is not the same rotation in the end.
Comment 19 wolframgarten 2006-08-09 13:30:50 UTC
Target changed.
Comment 20 thb 2006-08-17 13:49:53 UTC
Verified changes on CWS, wrote followup issue 68716 to remove unused code from
goodies.

@iha: please verify your changes.
Comment 21 IngridvdM 2006-08-17 17:14:21 UTC
->AW: Back to you as reopened. My subtask is in, but the overall matrix3d
migration seems to have failed. Check the following:
Create a 3D shape (convert a rectangle to 3D) or a 3D diagram. Rotate it with
the mouse clicking near the middle and move the mouse straight to the right
rotation handle. ->
The shape or diagram changes its center position, what is different to before.
In addition if you repeat the rotation several times the object gets smaller and
smaller. You sometimes end up with a size that looks similar to a vertical thin
line.
Comment 22 IngridvdM 2006-08-17 17:15:49 UTC
back to aw for further error analysis
Comment 23 Armin Le Grand 2006-09-08 14:10:08 UTC
AW: I think it is the same as #i69174#, somewhere an numerical/optimize error
takes place.
Comment 24 Armin Le Grand 2006-09-14 16:17:49 UTC
AW: Last problem was inded double to #i69174#, works now. Setting back to fixed.
Comment 25 wolframgarten 2006-10-31 13:46:12 UTC
Target adapted.
Comment 26 Armin Le Grand 2006-11-01 14:09:50 UTC
AW: Inetrnal changes, too many to review. Thats why this CWS is so intensively
tested. Setting to verified.
Comment 27 Armin Le Grand 2006-11-24 16:36:31 UTC
AW: Integrated, closing.